### Method

# EDataServer SourceProxy get_ftp_port

since: 3.12

#### Declaration [src]

    guint16
    e_source_proxy_get_ftp_port (
      ESourceProxy* extension
    )

#### Description [src]

Returns the port on the machine defined by `ESourceProxy:ftp-host` to proxy through when `extension`‘s `ESourceProxy:method` is `E_PROXY_METHOD_MANUAL`.

Available since: 3.12

Gets property | `EDataServer.SourceProxy:ftp-port`

#### Return value

Type: `guint16`

FTP proxy port.